Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects
Interface EntityObject

All Superinterfaces:
  java.io.Serializable

public interface EntityObject
extends java.io.Serializable

Method Summary
`void` | `addSecondaryObject(EntityObject obj)` adds a child
`EntityObject` | `copy()`
`void` | `dropSecondaryObject(EntityObject obj)` removes a child
`java.lang.Object` | `getField(java.lang.String fieldname)` getter for field value
`java.lang.String` | `getId()` getter for ID
`AttributeMetaData` | `getMetaData()` getter for attribute metadata
`java.util.Collection` | `getSecondaryObject(int type)` getter for child objects
`EntityObject` | `getSecondaryObject(int type, java.lang.String id)` getter for child objects
`java.util.Collection` | `getSecondaryObject(java.lang.String type)` getter fro child object
`EntityObject` | `getSecondaryObject(java.lang.String type, java.lang.String id)` getter for child objects
`byte[]` | `getSignature()` getter for signature
`java.lang.String` | `getType()` getter for object type
`void` | `setField(java.lang.String fieldname, java.lang.Object fieldvalue)` setter for field value
`void` | `setId(java.lang.String id)` setter for ID
`void` | `setSignature(byte[] signature)` setter for signature
`java.lang.String` | `toString()` toString
`void` | `update(EntityObject obj)` updates itself by values from input object

Method Detail

### addSecondaryObject

    public void addSecondaryObject(EntityObject obj)
                            throws SystemObjectException

  adds a child

  Parameters:
    `obj` - child EntityObject to be added
  Throws:
    `SystemObjectException` - SystemObjectException

### copy

    public EntityObject copy()
                      throws SystemObjectException

  Returns:
    EntityObject entity object
  Throws:
    `SystemObjectException` - system object exception copy

### dropSecondaryObject

    public void dropSecondaryObject(EntityObject obj)
                             throws SystemObjectException

  removes a child

  Parameters:
    `obj` - child EntityObject to be dropped
  Throws:
    `SystemObjectException` - SystemObjectException

### getField

    public java.lang.Object getField(java.lang.String fieldname)
                              throws SystemObjectException

  getter for field value

  Parameters:
    `fieldname` - String
  Returns:
    Object
  Throws:
    `SystemObjectException` - system object exception

### getId

    public java.lang.String getId()

  getter for ID

  Returns:
    String

### getMetaData

    public AttributeMetaData getMetaData()

  getter for attribute metadata

  Returns:
    AttributeMetaData

### getSecondaryObject

    public java.util.Collection getSecondaryObject(int type)
                                            throws SystemObjectException

  getter for child objects

  Parameters:
    `type` - int
  Returns:
    Collection of children objects
  Throws:
    `SystemObjectException` - SystemObjectException

### getSecondaryObject

    public EntityObject getSecondaryObject(int type,
                                           java.lang.String id)
                                    throws SystemObjectException

  getter for child objects

  Parameters:
    `type` - int
    `id` - String
  Returns:
    EntityObject
  Throws:
    `SystemObjectException` - SystemObjectException

### getSecondaryObject

    public java.util.Collection getSecondaryObject(java.lang.String type)
                                            throws SystemObjectException

  getter fro child object

  Parameters:
    `type` - String
  Returns:
    Collection of children objects
  Throws:
    `SystemObjectException` - system object exception

### getSecondaryObject

    public EntityObject getSecondaryObject(java.lang.String type,
                                           java.lang.String id)
                                    throws SystemObjectException

  getter for child objects

  Parameters:
    `type` - String
    `id` - String
  Returns:
    EntityObject
  Throws:
    `SystemObjectException` - SystemObjectException

### getSignature

    public byte[] getSignature()

  getter for signature

  Returns:
    byte[]

### getType

    public java.lang.String getType()

  getter for object type

  Returns:
    String

### setField

    public void setField(java.lang.String fieldname,
                         java.lang.Object fieldvalue)
                  throws SystemObjectException

  setter for field value

  Parameters:
    `fieldname` - String
    `fieldvalue` - Object
  Throws:
    `SystemObjectException` - SystemObjectException

### setId

    public void setId(java.lang.String id)

  setter for ID

  Parameters:
    `id` - String

### setSignature

    public void setSignature(byte[] signature)

  setter for signature

  Parameters:
    `signature` - byte[]

### toString

    public java.lang.String toString()

  toString

  Returns:
    String

### update

    public void update(EntityObject obj)
                throws SystemObjectException

  updates itself by values from input object

  Parameters:
    `obj` - object
  Throws:
    `SystemObjectException` - SystemObjectException

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.